package com.bocloud.cmp.provider.azure.db.configuration;

import com.bocloud.cmp.model.azure.db.AzureDatabaseServerModel;
import com.bocloud.cmp.model.azure.db.DbConfigurationModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: CloudDatabaseServerConfigurationProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/4 17:40
 */
public interface DbConfigurationProvider extends SuperProvider {

    default BocloudResult list(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(DbConfigurationModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(DbConfigurationModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(DbConfigurationModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(DbConfigurationModel model) {
        return new BocloudResult(false, "need implement");
    }

}